petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCFieldSplitGetDetectSaddlePoint

Returns flag indicating whether PCFieldSplit will attempt to automatically determine fields based on zero diagonal entries.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetDetectSaddlePoint(PC pc,PetscBool *flg)

Logically Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

flg -boolean indicating whether to detect fields or not

### See Also

PCFIELDSPLIT, PCFieldSplitSetDetectSaddlePoint()

### Level

Intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages